# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "jams-core"
version = "0.1.19"
exclude = ["./tests"]
description = "jams-core provides thin abstraction around common machine learning and deep learning models as well as databases like redis, dynamodb which can be used as real time feature stores. You can think of each component as a LEGO block which can be used to build a system depending on the requirements"
homepage = "https://github.com/gagansingh894/jams-rs"
readme = "README.md"
keywords = [
    "machine-learning",
    "deep-learning",
]
license = "Apache-2.0"
repository = "https://github.com/gagansingh894/jams-rs/tree/main/jams-core"
resolver = "1"

[lib]
name = "jams_core"
crate-type = ["lib"]

[dependencies.anyhow]
version = "1"

[dependencies.catboost-rs]
version = "0"

[dependencies.chrono]
version = "0.4.38"

[dependencies.dashmap]
version = "5.5"

[dependencies.lgbm]
version = "0.0.2"

[dependencies.log]
version = "0.4.21"

[dependencies.ndarray]
version = "0.15.6"

[dependencies.rand]
version = "0.8.5"

[dependencies.serde]
version = "1.0.202"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.tch]
version = "0.15.0"

[dependencies.tensorflow]
version = "0.21.0"

[features]
catboost = []
default = [
    "catboost",
    "lightgbm",
    "tensorflow",
    "torch",
]
lightgbm = []
tensorflow = []
torch = []
xgboost = []
